require 'spec_helper'

include Alucard

describe "Card.new with a numeric spec" do
  let (:ace_of_spades) { Card.new 0 }
  let (:king_of_diamonds) { Card.new 51 }

  it "should have the appropriate rank" do
    expect(ace_of_spades.rank).to be 0
    expect(king_of_diamonds.rank).to be 12
  end

  it "should have the appropriate suit" do
    expect(ace_of_spades.suit).to be 0
    expect(king_of_diamonds.suit).to be 3
  end
end

describe "Card.new with a rank/suit spec" do
  let (:ace_of_spades) { Card.new 'AS' }
  let (:king_of_diamonds) { Card.new 'KD' }

  it "should have the appropriate rank" do
    expect(ace_of_spades.rank).to be 0
    expect(king_of_diamonds.rank).to be 12
  end

  it "should have the appropriate suit" do
    expect(ace_of_spades.suit).to be 0
    expect(king_of_diamonds.suit).to be 3
  end
end

describe "Card.new with a name spec" do
  let (:ace_of_spades) { Card.new 'Ace of Spades' }
  let (:king_of_diamonds) { Card.new 'King of Diamonds' }

  it "should have the appropriate rank" do
    expect(ace_of_spades.rank).to be 0
    expect(king_of_diamonds.rank).to be 12
  end

  it "should have the appropriate suit" do
    expect(ace_of_spades.suit).to be 0
    expect(king_of_diamonds.suit).to be 3
  end
end
